---
title: 'IDBOpenDBRequest: blocked event'
slug: Web/API/IDBOpenDBRequest/blocked_event
tags:
  - Event
  - IDBOpenDBRequest
  - Reference
  - blocked
---
<div>{{APIRef("IndexedDB")}}</div>

<p>The <code>blocked</code> handler is executed when an open connection to a database is blocking a <code>versionchange</code> transaction on the same database.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("IDBVersionChangeEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{DOMxRef("IDBOpenDBRequest.onblocked", "onblocked")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js;">// Open the database
const DBOpenRequest = window.indexedDB.open('toDoList', 4);

DBOpenRequest.onupgradeneeded = (event) =&gt; {
  const db = event.target.result;

  db.onerror = () =&gt; {
    console.log('Error creating database');
  };

  // Create an objectStore for this database
  var objectStore = db.createObjectStore('toDoList', { keyPath: 'taskTitle' });

  // define what data items the objectStore will contain
  objectStore.createIndex('hours', 'hours', { unique: false });
  objectStore.createIndex('minutes', 'minutes', { unique: false });
  objectStore.createIndex('day', 'day', { unique: false });
  objectStore.createIndex('month', 'month', { unique: false });
  objectStore.createIndex('year', 'year', { unique: false });
};

DBOpenRequest.onsuccess = (event) =&gt; {
  // Let's try to open the same database with a higher revision version
  const req2 = indexedDB.open('toDoList', 5);

  // In this case the onblocked handler will be executed
  req2.addEventListener('blocked', () =&gt; {
    console.log('Request was blocked');
  });

};</pre>

<p>Using the <code><a href="/en-US/docs/Web/API/IDBOpenDBRequest/onblocked">onblocked</a></code> property:</p>

<pre class="brush: js;">// Open the database
const DBOpenRequest = window.indexedDB.open('toDoList', 4);

DBOpenRequest.onupgradeneeded = (event) =&gt; {
  const db = event.target.result;

  db.onerror = () =&gt; {
    console.log('Error creating database');
  };

  // Create an objectStore for this database
  var objectStore = db.createObjectStore('toDoList', { keyPath: 'taskTitle' });

  // define what data items the objectStore will contain
  objectStore.createIndex('hours', 'hours', { unique: false });
  objectStore.createIndex('minutes', 'minutes', { unique: false });
  objectStore.createIndex('day', 'day', { unique: false });
  objectStore.createIndex('month', 'month', { unique: false });
  objectStore.createIndex('year', 'year', { unique: false });
};

DBOpenRequest.onsuccess = (event) =&gt; {
  // Let's try to open the same database with a higher revision version
  const req2 = indexedDB.open('toDoList', 5);

  // In this case the onblocked handler will be executed
  req2.onblocked = () =&gt; {
    console.log('Request was blocked');
  };

};</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.IDBOpenDBRequest.blocked_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/IndexedDB/Using_IndexedDB">Using IndexedDB</a></li>
 <li>{{DOMxRef("IDBOpenDBRequest.onblocked", "onblocked")}} event handler property</li>
</ul>
